<?php
  	require_once(realpath(dirname(__FILE__)) . "/../../../classes/Baseobj.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
	include_once(realpath(dirname(__FILE__)) . "/../../../classes/Variable.class.php");
	include_once(realpath(dirname(__FILE__)) . "/Marquesdesc.class.php");

class Marques extends PluginsClassiques{

	var $id;
	var $date_time;
	var $marque;
	var $adresse;
	var $code_postal;
	var $ville;
	var $pays;
	var $nom;
	var $prenom;
	var $telephone;
	var $email;
	var $description;
	var $site_internet;
	var $logo;
	var $siret;
	var $intracom;
	var $statut;

    const TABLE = "marques";
    var $table=self::TABLE;

	var $bddvars 	= array("id","date_time","marque","adresse","code_postal","ville","pays","nom","prenom","telephone","email","description","site_internet","logo","siret","intracom","statut");

	function Marques(){
		$this->PluginsClassiques();
	}

	function init(){
		$sql 	="CREATE TABLE `marques` ( 
					`id` int(11) NOT NULL AUTO_INCREMENT, 
					`date_time` datetime NOT NULL,
					`marque` varchar(40) COLLATE utf8_general_ci NOT NULL,
					`adresse` text COLLATE utf8_general_ci NOT NULL, 
					`code_postal`  varchar(10) COLLATE utf8_general_ci NOT NULL,
					`ville` varchar(40) COLLATE utf8_general_ci NOT NULL,
					`pays` varchar(40) COLLATE utf8_general_ci NOT NULL,
					`nom` varchar(40) COLLATE utf8_general_ci NOT NULL,
					`prenom` varchar(40) COLLATE utf8_general_ci NOT NULL,
					`telephone` varchar(15) COLLATE utf8_general_ci NOT NULL,
					`email` varchar(50) COLLATE utf8_general_ci NOT NULL,
					`description` text COLLATE utf8_general_ci NOT NULL,
					`siret` text COLLATE utf8_general_ci NOT NULL,
					`logo` text COLLATE utf8_general_ci NOT NULL,
					`intracom` text COLLATE utf8_general_ci NOT NULL,
					`site_internet` text COLLATE utf8_general_ci NOT NULL,
					`statut` int(12) NOT NULL,
					PRIMARY KEY (`id`))";
		$resul 	= mysql_query($sql);
		$sql 	="CREATE TABLE `marquesassoc` ( 
					`id` int(11) NOT NULL AUTO_INCREMENT, 
					`date_time` datetime NOT NULL,
					`produit` int(11) NOT NULL,
					`contenu` int(11) NOT NULL,
					`marque_asso` int(11) NOT NULL,
					PRIMARY KEY (`id`))";
		$resul 	= mysql_query($sql);
		$this->ajout_desc("Gestion des marques","","Permet de gérer ces marques ", 1);
	}

    function destroy(){
    }


	function charger_id($id){
		return $this->getVars("select * from $this->table where id=\"$id\"");
	}
	function charger_id_marqueassoc($id){
		return $this->getVars("select ma.marque_asso, m.id, m.marque from marquesassoc as ma left join marques as m on ma.marque_asso = m.id where m.id=\"$id\"");
	}
	function charger_produit($produit,$lang=1){
		return $this->getvars("select * from produit where produit=$produit and lang=$lang");
	}
	function charger($ref){
		return $this->getVars("select * from produit where ref=\"$ref\"");
	}
	function charger_marque($produit){
		echo "hello".$produit;
	}
	function charger_listing_marque(){
		$query = "select * from marques";
		$resul = $this->query($query);
		return $resul;
	}
	
	
	function existe($email){
		$query = "select * from $this->table where email=\"$email\"";
		$resul = $this->query($query);
		return mysql_num_rows($resul);
	}

		function boucle($texte, $args){
			
			$boucle = lireTag($args, "boucle");

			if($boucle == "marque_produit")
				return $this->boucle_marque_produit($texte, $args);
			else 			
			if($boucle == "toutes_marques")
				return $this->boucle_toutes_marques($texte, $args);

		}

	function boucle_marque_produit($texte, $args){
		$id = lireTag($args, "id");
		$res="";

		$query_marque = "select ma.marque_asso, m.* from marquesassoc as ma left join marques as m on ma.marque_asso = m.id where ma.produit=\"$id\"";
		$resul_marque = mysql_query($query_marque);

		while( $row = mysql_fetch_object($resul_marque)){
			$temp = str_replace("#ID", "$row->id", $texte);
			$temp = str_replace("#NOM_MARQUE", "$row->nom", $temp);
			$temp = str_replace("#MARQUE", "$row->marque", $temp);
			$temp = str_replace("#LOGO", "$row->logo", $temp);
			$res .= $temp;
		}
		return $res;
	}
	
	function boucle_toutes_marques($texte, $args){
		$id = lireTag($args, "id");
		$res="";

		$query_marque = "select id, logo, marque, nom, site_internet from marques";
		$resul_marque = mysql_query($query_marque);

		while( $row = mysql_fetch_object($resul_marque)){
			$temp = str_replace("#ID", "$row->id", $texte);
			$temp = str_replace("#NOM_MARQUE", "$row->nom", $temp);
			$temp = str_replace("#MARQUE", "$row->marque", $temp);
			$temp = str_replace("#LOGO", "$row->logo", $temp);
			$temp = str_replace("#SITE_INTERNET", "$row->site_internet", $temp);
			$res .= $temp;
		}
		return $res;
	}	
	
	
	
}



?>
