<link href="../client/plugins/marques/marques.css" rel="stylesheet" type="text/css" />
<?php
	require_once("pre.php");
	require_once("auth.php");
	require_once("../classes/Pays.class.php");
	require_once("../classes/Paysdesc.class.php");
	require_once("../client/plugins/marques/Marques.class.php");
	require_once("../fonctions/divers.php");
	require_once("../classes/Message.class.php");
	require_once("../classes/Messagedesc.class.php");
	require_once("../classes/Mail.class.php");
?>

<?php if(! est_autorise("marques")) exit; ?>
<?php
	$erreurmarque = 0;
	$erreuradresse = 0;
	$erreurmail = 0;
	$erreurcode_postal = 0;
	$erreurmailexiste = 0;
	$erreurville = 0;
	$erreurpays = 0;

	if($action == "ajouter"){

		$marque_obj = new Marques();
		$marque_obj->marque = strip_tags($marque);
		$marque_obj->date_time = date("ymdHis");
		$marque_obj->nom = strip_tags($nom_marque);
		$marque_obj->prenom = strip_tags($prenom);
		$marque_obj->telephone = strip_tags($telephone);
		$marque_obj->email = strip_tags($email1);
		$marque_obj->adresse = strip_tags($adresse);
		$marque_obj->code_postal = strip_tags($code_postal);
		$marque_obj->ville = strip_tags($ville);
		$marque_obj->siret = strip_tags($siret);
		$marque_obj->intracom = strip_tags($intracom);
		$marque_obj->site_internet = strip_tags($site_internet);
		$marque_obj->contenu = strip_tags($contenu);		
		$marque_obj->pays = strip_tags($pays);

    	if($statut== "on") $marque_obj->statut = 1;
		else $marque_obj->statut = 0;
//		$marque_obj->motdepasse = genpass(8);
//		$pass = $marque_obj->motdepasse;

		if($marque_obj->marque!="" && $marque_obj->email!="" && ! $marque_obj->existe($email1) && $marque_obj->adresse !="" && $marque_obj->code_postal!="" && $marque_obj->ville !="" && $marque_obj->pays !=""){
				//$marque_obj->crypter();
				//$marque_obj->add();
				$lastid = $marque_obj->add();

                $marque_desc = new Marquesdesc();
                $marque_desc->produit = $lastid; 
                $marque_desc->contenu = 2;
                $marque_desc->add();  
                
				redirige("module.php?nom=marques&id=".$marque_obj->id."lastid=".$lastid );
		}
		else{
			//traitement des erreurs
			if($adresse == "") $erreuradresse = 1;
			if($marque == "") $erreurmarque = 1;
			if($marque_obj->email == "") $erreurmail = 1;
			if($code_postal == "") $erreurcode_postal = 1;
			if($marque_obj->existe($email1)) $erreurmailexiste = 1;
			if($ville == "") $erreurville = 1;
			if($pays == "") $erreurpays = 1;
			$paysform =$pays;
		}

	}

?>
<div id="contenu_int">
      <p><a href="accueil.php" class="lien04"><?php echo trad('Accueil', 'admin'); ?> </a><img src="gfx/suivant.gif" width="12" height="9" border="0" /><a href="module.php?nom=marques" class="lien04"><?php echo trad('Gestion des marques', 'admin'); ?></a>
    </p>

<!-- Début de la colonne de gauche -->
<div id="bloc_description">

<!-- bloc de création d une marque -->
	<form action="module.php?nom=marques&vue=creer" method="post" id="formulaire">
		<input type="hidden" name="action" value="ajouter" />
		<div class="entete_liste_marques">
			<div class="titre"><?php echo trad('CR&Eacute;ER UNE MARQUE', 'admin'); ?></div>
			<div class="fonction_valider"><a href="#" onclick="document.getElementById('formulaire').submit()"><?php echo trad('VALIDER_LES_MODIFICATIONS', 'admin'); ?></a></div>
		</div>
		<table width="100%" cellpadding="5" cellspacing="0" style="clear: both;">
		    <tr class="claire">
		        	<th class="designation" width="290"><?php echo trad('Societe/Marque *', 'admin'); ?><span class="erreur_marques"><?php if($erreurmarque) echo trad('Obligatoire', 'admin'); ?></span></th>
				    <th><input name="marque" type="text" class="form" size="40" <?php if(isset($marque)) echo "value=\"".htmlspecialchars($marque)."\""; ?> /></th>
			</tr>
			<tr class="fonce">
				    <td class="designation"><?php echo trad('Adresse du siège social *', 'admin'); ?> <span class="erreur_marques"><?php if($erreuradresse) echo trad('Obligatoire', 'admin'); ?></span></td>
				    <td><input name="adresse" type="text" class="form" size="40" <?php if(isset($adresse)) echo "value=\"".htmlspecialchars($adresse)."\""; ?>/></td>
			</tr>
			<tr class="claire">
				    <td class="designation"><?php echo trad('CP', 'admin'); ?> *<span class="erreur_marques"><?php if($erreurcode_postal) echo trad('Obligatoire', 'admin'); ?></span></td>
				    <td><input name="code_postal" type="text" class="form" size="40" <?php if(isset($code_postal)) echo "value=\"".htmlspecialchars($code_postal)."\""; ?>/></td>
			</tr>
			<tr class="fonce">
					<td class="designation"><?php echo trad('Ville', 'admin'); ?> *<span class="erreur_marques"><?php if($erreurville) echo trad('Obligatoire', 'admin'); ?></span></td>
					<td><input name="ville" type="text" class="form" size="40" <?php if(isset($ville)) echo "value=\"".htmlspecialchars($ville)."\""; ?>/></td>
			</tr>
			<tr class="claire">
				    <td class="designation"><?php echo trad('Pays', 'admin'); ?> <span class="erreur_marques"><?php if($erreurpays) echo trad('Obligatoire', 'admin'); ?></span></td>
				    <td><select name="pays" class="form_client">
				     <?php
				      	$pays = new Pays();
				      	$query ="select * from $pays->table";

				      	$resul = mysql_query($query, $pays->link);
				      	while($row = mysql_fetch_object($resul)){
							$paysdesc = new Paysdesc();
							if ($paysdesc->charger($row->id, $_SESSION["util"]->lang)) {

				      ?>
				      <option value="<?php echo $row->id; ?>" <?php if($paysform == $row->id || $row->defaut){ echo "selected"; } ?> ><?php echo($paysdesc->titre); ?></option>
				      <?php }
						} ?>
				      </select>
					</td>
			</tr>
			<tr class="claire">
				   	<td class="designation"><?php echo trad('Nom du contact', 'admin'); ?></td>
				    <td><input name="nom_marque" type="text" class="form" size="40" <?php if(isset($nom_marque)) echo "value=\"".htmlspecialchars($nom_marque)."\""; ?> /></td>
			</tr>
			<tr class="fonce">
				    <td class="designation"><?php echo trad('Prenom du contact', 'admin'); ?></td>
				    <td><input name="prenom" type="text" class="form" size="40" <?php if(isset($prenom)) echo "value=\"".htmlspecialchars($prenom)."\""; ?> /></td>
			</tr>
			<tr class="claire">
				    <td class="designation"><?php echo trad('E-mail', 'admin'); ?> *<span class="erreur_marques"><?php if($erreurmail) echo trad('Obligatoire', 'admin'); else if($erreurmailexiste) echo "existe déjà"; ?></span></td>
				    <td><input name="email1" type="text" class="form" size="40" /></td>
			</tr>
			<tr class="fonce">
				    <td class="designation"><?php echo trad('Confirme-mail', 'admin'); ?> *<span class="erreur_marques"><?php if($erreurmail) echo trad('Obligatoire', 'admin'); else if($erreurmailexiste) echo "existe déjà"; ?></span></td>
				    <td><input name="email2" type="text" class="form" size="40" /></td>
			</tr>
			<tr class="claire">
				    <td class="designation"><?php echo trad('Telephone', 'admin'); ?></td>
				    <td><input name="telephone" type="text" class="form" size="40" <?php if(isset($telephone)) echo "value=\"".htmlspecialchars($telephone)."\""; ?>/></td>
			</tr>
			<tr class="fonce">
					<td class="designation"><?php echo trad('Site internet', 'admin'); ?></td>
				    <td><input name="site_internet" type="text" class="form" size="40" <?php if(isset($site_internet)) echo "value=\"".htmlspecialchars($site_internet)."\""; ?> /></td>
			</tr>
			<tr class="claire">
					<td class="designation"><?php echo trad('Siret', 'admin'); ?></td>
				    <td><input name="siret" type="text" class="form" size="40" <?php if(isset($siret)) echo "value=\"".htmlspecialchars($siret)."\""; ?> /></td>
			</tr>
			<tr class="fonce">
				    <td class="designation"><?php echo trad('Numintracom', 'admin'); ?></td>
				    <td><input name="intracom" type="text" class="form" size="40" <?php if(isset($intracom)) echo "value=\"".htmlspecialchars($intracom)."\""; ?> /></td>
            </tr>
			<tr class="claire">
					<td class="designation"><?php echo trad('Lier cette marque à un contenu', 'admin'); ?></td>
				    <td><input name="contenu" type="text" class="form" size="40" <?php if(isset($contenu)) echo "value=\"".htmlspecialchars($contenu)."\""; ?> /></td>
			</tr>
			<tr class="foncebottom">
			    <td class="designation"><?php echo trad('Statut', 'admin'); ?> </td>
				    <td><input type="checkbox" name="statut" class="form" <?php if(isset($statut)) echo "checked"; ?>/></td>
			</tr>
		</table>
	</form>
</div>
<!-- fin du bloc description -->
</div>


