<?php

	require_once(realpath(dirname(__FILE__)) . "/../classes/Modules.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Rubrique.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Rubriquedesc.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Dossier.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Dossierdesc.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Contenu.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Contenudesc.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Produit.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Produitdesc.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Autorisation.class.php");
	require_once(realpath(dirname(__FILE__)) . "/../classes/Autorisation_administrateur.class.php");
	require_once(realpath(dirname(__FILE__)) . "/hierarchie.php");
	require_once(realpath(dirname(__FILE__)) . "/nettoyage.php");
	require_once(realpath(dirname(__FILE__)) . "/lire.php");
	require_once(realpath(dirname(__FILE__)) . "/rewrite.php");
	require_once(realpath(dirname(__FILE__)) . "/image.php");
	require_once(realpath(dirname(__FILE__)) . "/modules.php");
	require_once(realpath(dirname(__FILE__)) . "/url.php");
	require_once(realpath(dirname(__FILE__)) . "/port.php");

	function randgen($letter, $size) {

		return substr(str_shuffle($letter), 0, $size);
 	}

	// génération mot de passe
	function genpass($size){

 		 $letter = "abcdefghijklmnopqrstuvwxyz";
		 $letter .= "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 		 $letter .= "0123456789";

 		 return randgen($letter, $size);
 	}

 	// génération de code
	function gencode($size){

 		 $letter = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
 		 $letter .= "0123456789";

 		 return randgen($letter, $size);
 	}

	function genid($id, $taille) {

		return str_pad($id, $taille, '0', STR_PAD_LEFT);
	}

	// Formatter un nombre réel pour affichage en front office
	// Le retour de cette fonction ne peut être utilisé pour des calculs ultérieurs.
	function formatter_somme($nombre)
	{
		return number_format($nombre, 2, ".", "");
	}
?>
